package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GamePayWayAddUpdateParam;
import com.zanxiang.manage.domain.params.GamePayWayListParam;
import com.zanxiang.manage.domain.vo.GamePayWayListVO;
import com.zanxiang.manage.domain.vo.GamePayWayVO;
import com.zanxiang.mybatis.entity.GamePayWay;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏支付配置
 */
public interface IGamePayWayService extends IService<GamePayWay> {

    /**
     * 添加或更新
     *
     * @param param 参数
     * @return boolean
     */
    boolean addOrUpdate(GamePayWayAddUpdateParam param);

    /**
     * 根据游戏id查询
     *
     * @param gameId 游戏id
     * @return {@link List}<{@link GamePayWayVO}>
     */
    List<GamePayWayVO> getByGameId(Long gameId);

    /**
     * 状态更新
     *
     * @param id     id
     * @param status 状态
     * @return {@link Boolean}
     */
    Boolean statusUpdate(Long id, Integer status);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);

    /**
     * 带分页列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link GamePayWayListVO}>
     */
    IPage<GamePayWayListVO> pageList(GamePayWayListParam param);
}
